visageSDK

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | Public Attributes | List of all members
VisageSDK::QualityParams Struct Reference

QualityParams is container structure used to hold a number of parameters related to estimating screen space gaze estimation quality. More...

`#include <TrackerGazeCalibrator.h>`

## Public Member Functions
| QualityParams ()
| Estimated quality of calibration. More...

## Public Attributes
float * | CalibTrackQuality
| Array holding tracking quality for each calibration frame.
float * | EstimTrackQuality
| Array holding tracking quality for each estimation frame. More...
float * | EstimCumulativeRotation
| Array holding cumulative head rotation for each estimation frame. More...
float * | CalibCumulativeRotation
| Array holding cumulative head rotation for each calibration frame. More...
float * | CalibCumulativeTranslation
| Array holding cumulative head translation for each calibration frame. More...
int | CalibFramesCount
| Total number of defined or undefined calibration frames.
int | CalibOutliersCount
| Number of defined calibration frames discarded from calibration.
int | CalibDefinedCount
| Number of defined calibration frames,. More...
int | EstimFramesCount
| Number of estimation frames. More...
int * | CalibFramesStatus
| Array holding tracking status for each calibration frame.
int * | EstimFramesStatus
| Array holding tracking status for each estimation frame. More...
float * | CalibDetectQuality
| Array holding detection quality for each calibration frame.

## Detailed Description

QualityParams is container structure used to hold a number of parameters related to estimating screen space gaze estimation quality.

Definition at line 42 of file TrackerGazeCalibrator.h.

## Constructor & Destructor Documentation

VisageSDK::QualityParams::QualityParams | ( |  | ) |
| inline

Estimated quality of calibration.

Higher values indicate lower number of outliers and better fitting. This value is set after successful calibration. Variation of head rotation in estimation frames. This value is set after successfully calibration and is updated for each new estimation frame. In offline mode this value is calculated after processing is finished. In online mode this value is currently not set. Variation of tracking quality in all processed frames. This value is updated for each new frame. In offline mode This value is calculated after processing is finished if running in offline mode. In online mode this value is currently not set. Variation of tracking quality in calibration frames. In offline mode this value is calculated after processing is finished. In online mode this value is updated for each new calibration frame. Variation of head rotation in calibration frames. In offline mode this value is calculated after processing is finished. In online mode this value is updated for each new calibration frame. Variation of head translation in calibration frames. In offline mode this value is calculated after processing is finished. In online mode this value is updated for each new calibration frame. Average tracking quality in calibration frames. In offline mode this value is calculated after processing is finished. In online mode this value is updated for each new calibration frame. Average detection quality in calibration frames. In offline mode this value is calculated after processing is finished. In online mode this value is updated for each new calibration frame. Percentage of calibration frames in which tracking status was TRACK_STAT_OK. In offline mode this value is calculated after processing is finished. In online mode this value is updated for each new calibration frame. Percentage of estimation frames in which tracking status was TRACK_STAT_OK. In offline mode this value is calculated after processing is finished. In online mode this value is updated for each new estimation frame.

Definition at line 97 of file TrackerGazeCalibrator.h.

## Member Data Documentation

float* VisageSDK::QualityParams::CalibCumulativeRotation

Array holding cumulative head rotation for each calibration frame.

Cumulative rotation is calculated as a sum of x, y and z head rotations divided by 3.

Definition at line 133 of file TrackerGazeCalibrator.h.

float* VisageSDK::QualityParams::CalibCumulativeTranslation

Array holding cumulative head translation for each calibration frame.

Cumulative translation is calculated as a sum of x, y and z head translations divided by 3.

Definition at line 138 of file TrackerGazeCalibrator.h.

int VisageSDK::QualityParams::CalibDefinedCount

Number of defined calibration frames,.

Definition at line 153 of file TrackerGazeCalibrator.h.

float* VisageSDK::QualityParams::EstimCumulativeRotation

Array holding cumulative head rotation for each estimation frame.

Cumulative rotation is calculated as a sum of x, y and z head rotations divided by 3. This value is currently not set in online gaze tracking mode.

Definition at line 128 of file TrackerGazeCalibrator.h.

int VisageSDK::QualityParams::EstimFramesCount

Number of estimation frames.

This value is currently not set in online gaze tracking mode.

Definition at line 158 of file TrackerGazeCalibrator.h.

int* VisageSDK::QualityParams::EstimFramesStatus

Array holding tracking status for each estimation frame.

This value is currently not set in online gaze tracking mode.

Definition at line 168 of file TrackerGazeCalibrator.h.

float* VisageSDK::QualityParams::EstimTrackQuality

Array holding tracking quality for each estimation frame.

This value is currently not set in online gaze tracking mode.

Definition at line 122 of file TrackerGazeCalibrator.h.

The documentation for this struct was generated from the following file:

- TrackerGazeCalibrator.h